namespace elm { 
inline ::efl::eolian::return_traits<Elm_Sys_Notify_Server>::type Sys_Notify::servers_get() const
{
   Elm_Sys_Notify_Server __return_value =  ::elm_obj_sys_notify_servers_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Sys_Notify_Server>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Sys_Notify::servers_set( ::efl::eolian::in_traits<Elm_Sys_Notify_Server>::type servers) const
{
   Eina_Bool __return_value =  ::elm_obj_sys_notify_servers_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Sys_Notify_Server,  ::efl::eolian::in_traits<Elm_Sys_Notify_Server>::type>(servers));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::Sys_Notify>::type Sys_Notify::singleton_get() const
{
    ::Elm_Sys_Notify* __return_value =  ::elm_obj_sys_notify_singleton_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::Sys_Notify>::type>(__return_value);
}
} 
namespace eo_cxx {
namespace elm { 
inline ::efl::eolian::return_traits<Elm_Sys_Notify_Server>::type Sys_Notify::servers_get() const
{
   Elm_Sys_Notify_Server __return_value =  ::elm_obj_sys_notify_servers_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Sys_Notify_Server>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Sys_Notify::servers_set( ::efl::eolian::in_traits<Elm_Sys_Notify_Server>::type servers) const
{
   Eina_Bool __return_value =  ::elm_obj_sys_notify_servers_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Sys_Notify_Server,  ::efl::eolian::in_traits<Elm_Sys_Notify_Server>::type>(servers));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::Sys_Notify>::type Sys_Notify::singleton_get() const
{
    ::Elm_Sys_Notify* __return_value =  ::elm_obj_sys_notify_singleton_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::Sys_Notify>::type>(__return_value);
}
inline elm::Sys_Notify::operator ::elm::Sys_Notify() const { return *static_cast< ::elm::Sys_Notify const*>(static_cast<void const*>(this)); }
inline elm::Sys_Notify::operator ::elm::Sys_Notify&() { return *static_cast< ::elm::Sys_Notify*>(static_cast<void*>(this)); }
inline elm::Sys_Notify::operator ::elm::Sys_Notify const&() const { return *static_cast< ::elm::Sys_Notify const*>(static_cast<void const*>(this)); }
} }

